package cn.yyxx.commsdk.base;

/**
 * @author #Suyghur.
 * Created on 2021/12/25
 */
public class YYXXCommSdk {

    private YYXXCommSdk() {

    }

    public static YYXXCommSdk getInstance() {
        return YYXXCommSdkHolder.INSTANCE;
    }


    private static final class YYXXCommSdkHolder {
        private static final YYXXCommSdk INSTANCE = new YYXXCommSdk();

        /**
         * 防止单例对象在反序列化时重新生成对象
         */
        private static Object readResolve() {
            return INSTANCE;
        }
    }
}
